- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# NEDSymbolTable Class Reference
[Controlling the compilation process]

`#include <nedcompiler.h>`

List of all members.

## Detailed Description

For fast lookup of module, channel, etc names.

To be used with NEDCompiler. Typically a new instance is needed for each NEDCompiler invocation.

## Public Member Functions
| NEDSymbolTable ()
| ~NEDSymbolTable ()
void | add (NEDElement *node)
Look up and return a component identified with its name
NEDElement * | getChannelDeclaration (const char *name)
NEDElement * | getModuleDeclaration (const char *name)
NEDElement * | getNetworkDeclaration (const char *name)
NEDElement * | getEnumDeclaration (const char *name)
NEDElement * | getClassDeclaration (const char *name)
## Protected Attributes
NEDMap | channels
NEDMap | modules
NEDMap | networks
NEDMap | enums
NEDMap | classes

## Constructor & Destructor Documentation

NEDSymbolTable::NEDSymbolTable | ( |  | ) |

| Constructor.

NEDSymbolTable::~NEDSymbolTable | ( |  | ) |

| Destructor.

## Member Function Documentation

void NEDSymbolTable::add | ( | NEDElement * | node | ) |

| Add to the symbol table the given node (channel, simple module, compound module, network enum, struct, class, message) or all such nodes in the subtree.

NEDElement* NEDSymbolTable::getChannelDeclaration | ( | const char * | name | ) |

| Look up a channel declaration.

NEDElement* NEDSymbolTable::getClassDeclaration | ( | const char * | name | ) |

| Look up a class declaration.

NEDElement* NEDSymbolTable::getEnumDeclaration | ( | const char * | name | ) |

| Look up an enum declaration.

NEDElement* NEDSymbolTable::getModuleDeclaration | ( | const char * | name | ) |

| Look up a module declaration.

NEDElement* NEDSymbolTable::getNetworkDeclaration | ( | const char * | name | ) |

| Look up a network declaration.

## Member Data Documentation

NEDMap NEDSymbolTable::channels`[protected]`

NEDMap NEDSymbolTable::classes`[protected]`

NEDMap NEDSymbolTable::enums`[protected]`

NEDMap NEDSymbolTable::modules`[protected]`

NEDMap NEDSymbolTable::networks`[protected]`

The documentation for this class was generated from the following file:

- nedcompiler.h